module FundRaise
module Fundable
  def add_funds(add_funding=25, pledge=false)
    @current_funding += add_funding
    "#{@name} got more funds"
  end

  def remove_funds(reduce_funding=15)
    @current_funding -= reduce_funding
    "#{@name} lost some funds"
  end

  def funding_left
    @target_funding - @current_funding
  end

  def fully_funded?
    funding_left <= 0
  end
end
end
