module FundRaise

require_relative '../../lib/fund_raise/fund_request'
require_relative '../../lib/fund_raise/die'
require_relative '../../lib/fund_raise/project'
require_relative '../../lib/fund_raise/pledge_pool'

module FundingRound

  def self.one_round(project)
      die_r = Die.new()
      number = die_r.number
      if number.odd?
        project.remove_funds
      else
        project.add_funds
      end
      project.pledge_received(PledgePool.random)
  end
end

end
