module FundRaise

Pledge = Struct.new(:name, :value)

module PledgePool
  PLEDGES = [
    Pledge.new(:bronze,50 ),
    Pledge.new(:silver,75 ),
    Pledge.new(:gold,100 ),
  ]

  def self.random
    PLEDGES.sample
  end

  def self.print_pledges_available
    puts "There are #{PLEDGES.size} possible pledge amounts:"
    PLEDGES.each do |p|
      puts "\t A #{p.name} pledge is worth #{p.value}."
    end
  end
end

if __FILE__ == $0
  puts PledgePool::PLEDGES
end
end
